## polkit-qt-1 0.103.0

=== core/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(polkit_qt_core_SRCS
    polkitqt1-authority.cpp
    polkitqt1-identity.cpp
    polkitqt1-subject.cpp
    polkitqt1-temporaryauthorization.cpp
    polkitqt1-details.cpp
    polkitqt1-actiondescription.cpp
)

automoc4_add_library(polkit-qt-core-1 SHARED ${polkit_qt_core_SRCS})

target_link_libraries(polkit-qt-core-1
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${POLKIT_LIBRARIES}
    ${GLIB2_LIBRARIES}
    ${GOBJECT_LIBRARIES}
    ${GIO_LIBRARIES}
)

set_target_properties(polkit-qt-core-1 PROPERTIES VERSION ${POLKITQT-1_LIBRARY_VERSION}
                                SOVERSION ${POLKITQT-1_ABI_VERSION}
                                DEFINE_SYMBOL MAKE_POLKITQT1_LIB)

install(TARGETS polkit-qt-core-1 ${INSTALL_TARGETS_DEFAULT_ARGS})

## polkit-qt-1 0.95.1

=== debian/changelog ===
polkit-qt-1 (0.95.1-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_fix_glib_ftbfs.diff to fix build failure with glib 2.25 or
    greater (LP: #600948) Pending upstream commit

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 02 Jul 2010 10:01:29 -0400

polkit-qt-1 (0.95.1-1fakesync1) lucid; urgency=low

  * Fake sync due to mismatching tarball (LP: #524957).

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 20 Feb 2010 18:08:29 +0100

polkit-qt-1 (0.95.1-1) unstable; urgency=low

  * Initial release. (Closes: #565395)

 -- Fathi Boudra <fabo@debian.org>  Fri, 15 Jan 2010 12:50:13 +0100

=== debian/control ===
Source: polkit-qt-1
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7), cmake, automoc, libqt4-dev,
 libpolkit-agent-1-dev, libpolkit-gobject-1-dev
Standards-Version: 3.8.3
Section: libs

Package: libpolkit-qt-1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpolkit-qt-1-0 (= ${binary:Version}), libqt4-dev
Description: PolicyKit-qt-1 development files
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit-1.
 .
 This package contains the development libraries and headers.

Package: libpolkit-qt-1-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PolicyKit-qt-1 library
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit.
 .
 This package contains the files necessary for running applications that use
 the libpolkit-qt-1 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --list-missing $@

.PHONY: dh_auto_test

## polkit-qt-1 0.99.0

=== debian/changelog ===
polkit-qt-1 (0.99.0-3) unstable; urgency=low

  [ Modestas Vainius ]
  * Update symbol files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:31:01 +0300

polkit-qt-1 (0.99.0-2) experimental; urgency=low

  * Bump Standards-Version to 3.9.2: no changes needed.
  * Build library with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Update symbol file: many private symbols are gone due to above.

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Apr 2011 11:53:35 +0300

polkit-qt-1 (0.99.0-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.
  * Switch debian/rules engine to qt-kde-team/2/*.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Remove dupe "Section" field from debian/control.
  * Include verbatim BSD license to debian/copyright.
  * Override lintian libpolkit-qt-1-0: package-name-doesnt-match-sonames.
  * Use more failsafe wildcards in libpolkit-qt-1-0.install.
  * Add myself to Uploaders.
  * SONAME bumped: rename libpolkit-qt-1-0 to libpolkit-qt-1-1.
  * Add symbol file for libpolkit-qt-1-1.
  * Update debian/copyright.

  [ Didier Raboud ]
  * Bump B-D of libpolkit to >= 0.98.

  [ José Manuel Santamaría Lema ]
  * Update installed files.

 -- Modestas Vainius <modax@debian.org>  Mon, 14 Mar 2011 01:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: polkit-qt-1
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7), cmake, automoc, libqt4-dev,
- libpolkit-agent-1-dev, libpolkit-gobject-1-dev
-Standards-Version: 3.8.3
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.11), automoc, libqt4-dev,
+ libpolkit-agent-1-dev (>= 0.98), libpolkit-gobject-1-dev (>= 0.98)
+Standards-Version: 3.9.2
 Section: libs
+Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-qt-1.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/polkit-qt-1.git
 
 Package: libpolkit-qt-1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpolkit-qt-1-0 (= ${binary:Version}), libqt4-dev
+Depends: ${misc:Depends}, libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev
 Description: PolicyKit-qt-1 development files
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
@@ -25,8 +26,7 @@
  .
  This package contains the development libraries and headers.
 
-Package: libpolkit-qt-1-0
-Section: libs
+Package: libpolkit-qt-1-1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PolicyKit-qt-1 library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

dh = --list-missing

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

## polkit-qt-1 0.103.0

=== debian/changelog ===
polkit-qt-1 (0.103.0-1ubuntu1) saucy; urgency=low

  * Add Depends on consolekit, since we're using its D-Bus API. 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Apr 2013 20:45:51 +0000

polkit-qt-1 (0.103.0-1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:49:08 +0100

polkit-qt-1 (0.103.0-1) unstable; urgency=low

  * New upstream release.
    - fix annoying crash on shutdown. (Closes: #651815)

  [ Felix Geyer ]
  * Modify CFLAGS/CXXFLAGS after including debian-qt-kde.mk so the changes are
    not overwritten.

  [ Fathi Boudra ]
  * Update debian/compat: bump to 8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Dec 2011 09:15:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Priority: extra
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.11), automoc, libqt4-dev,
- libpolkit-agent-1-dev (>= 0.98), libpolkit-gobject-1-dev (>= 0.98)
+Build-Depends: automoc,
+               cmake,
+               debhelper (>= 8.0.0),
+               libpolkit-agent-1-dev (>= 0.98),
+               libpolkit-gobject-1-dev (>= 0.98),
+               libqt4-dev,
+               pkg-kde-tools (>= 0.11)
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-qt-1.git
@@ -12,7 +17,7 @@
 Package: libpolkit-qt-1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev
+Depends: libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
 Description: PolicyKit-qt-1 development files
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
@@ -28,7 +33,7 @@
 
 Package: libpolkit-qt-1-1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit
 Description: PolicyKit-qt-1 library
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

dh = --list-missing

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

.PHONY: override_dh_auto_test

## polkit-qt-1 0.112.0

=== agent/CMakeLists.txt ===
set(polkit_qt_agent_SRCS
    polkitqt1-agent-session.cpp
    polkitqt1-agent-listener.cpp
    listeneradapter.cpp
    polkitqtlistener.cpp
)
add_library(${POLKITQT-1_AGENT_PCNAME} SHARED ${polkit_qt_agent_SRCS})

add_library(${POLKITQT-1_CAMEL_NAME}::Agent ALIAS ${POLKITQT-1_AGENT_PCNAME})

target_link_libraries(${POLKITQT-1_AGENT_PCNAME}
    LINK_PUBLIC
    ${QT_QTCORE_LIBRARY}
    ${POLKITQT-1_CORE_PCNAME}
    LINK_PRIVATE
    ${POLKIT_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
    ${POLKIT_AGENT_LIBRARY}
    ${GOBJECT_LIBRARIES}
    ${GIO_LIBRARIES}
)

set_target_properties(${POLKITQT-1_AGENT_PCNAME} PROPERTIES VERSION ${POLKITQT-1_LIBRARY_VERSION}
                                SOVERSION ${POLKITQT-1_ABI_VERSION}
                                DEFINE_SYMBOL MAKE_POLKITQT1_LIB
                                EXPORT_NAME Agent)

target_include_directories(${POLKITQT-1_AGENT_PCNAME} INTERFACE $<INSTALL_INTERFACE:${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}>)

install(TARGETS ${POLKITQT-1_AGENT_PCNAME} EXPORT ${POLKITQT-1_CAMEL_NAME}Export ARCHIVE DESTINATION ${LIB_DESTINATION}
                               LIBRARY DESTINATION ${LIB_DESTINATION}
                               RUNTIME DESTINATION bin)

=== core/CMakeLists.txt ===
set(polkit_qt_core_SRCS
    polkitqt1-authority.cpp
    polkitqt1-identity.cpp
    polkitqt1-subject.cpp
    polkitqt1-temporaryauthorization.cpp
    polkitqt1-details.cpp
    polkitqt1-actiondescription.cpp
)

add_library(${POLKITQT-1_CORE_PCNAME} SHARED ${polkit_qt_core_SRCS})

add_library(${POLKITQT-1_CAMEL_NAME}::Core ALIAS ${POLKITQT-1_CORE_PCNAME})

target_link_libraries(${POLKITQT-1_CORE_PCNAME}
    LINK_PUBLIC
    ${QT_QTCORE_LIBRARY}
    LINK_PRIVATE
    ${QT_QTDBUS_LIBRARY}
    ${POLKIT_LIBRARIES}
    ${GLIB2_LIBRARIES}
    ${GOBJECT_LIBRARIES}
    ${GIO_LIBRARIES}
)

set_target_properties(${POLKITQT-1_CORE_PCNAME} PROPERTIES VERSION ${POLKITQT-1_LIBRARY_VERSION}
                                SOVERSION ${POLKITQT-1_ABI_VERSION}
                                DEFINE_SYMBOL MAKE_POLKITQT1_LIB
                                EXPORT_NAME Core)

target_include_directories(${POLKITQT-1_CORE_PCNAME} INTERFACE $<INSTALL_INTERFACE:${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}>)

install(TARGETS ${POLKITQT-1_CORE_PCNAME} EXPORT ${POLKITQT-1_CAMEL_NAME}Export ARCHIVE DESTINATION ${LIB_DESTINATION}
                               LIBRARY DESTINATION ${LIB_DESTINATION}
                               RUNTIME DESTINATION bin)

=== examples/CMakeLists.txt ===

install(FILES org.qt.policykit.examples.policy DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/polkit-1/actions/)

include_directories(
    ${CMAKE_SOURCE_DIR}/gui
)

set(polkit_example_SRCS
    main.cpp
    PkExample.cpp
)

SET(polkit_example_RESOUCES
    icons/icons.qrc
)

QT4_WRAP_UI(polkit_example_UI_SRCS
    PkExample.ui
)

QT4_ADD_RESOURCES (qtsourceview_RC_SRCS  ${polkit_example_RESOUCES})

add_executable(${POLKITQT-1_EXAMPLE}
    ${polkit_example_SRCS}
    ${polkit_example_UI_SRCS}
    ${qtsourceview_RC_SRCS}
)

target_link_libraries(${POLKITQT-1_EXAMPLE}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${POLKITQT-1_GUI_PCNAME}
    ${POLKITQT-1_CORE_PCNAME}
    ${GOBJECT_LIBRARIES}
)

#--------Helper Application

# This macro is defined in FindPolkitQt.cmake
macro(dbus_add_activation_system_service _sources)
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.service.*$" ".service" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/system-services )
        #install(FILES ${_target} DESTINATION ${_install_dir})
    endforeach (_i ${ARGN})
endmacro(dbus_add_activation_system_service _sources)

set(polkit_example_helper_SRCS
    PkExampleHelper.cpp
    mainHelper.cpp
)

qt4_add_dbus_adaptor(polkit_example_helper_SRCS
    org.qt.policykit.examples.xml
    PkExampleHelper.h
    PkExampleHelper
)

add_executable(${POLKITQT-1_EXAMPLE_HELPER}
    ${polkit_example_helper_SRCS}
)

# see our helper is pretty small :D
target_link_libraries(${POLKITQT-1_EXAMPLE_HELPER}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${POLKITQT-1_GUI_PCNAME}
)

install(TARGETS ${POLKITQT-1_EXAMPLE_HELPER} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

dbus_add_activation_system_service(org.qt.policykit.examples.service.in)

install(FILES org.qt.policykit.examples.conf DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d)

add_subdirectory(agent)

=== gui/CMakeLists.txt ===
set(polkit_qt_gui_SRCS
    polkitqt1-gui-action.cpp
    polkitqt1-gui-actionbutton.cpp
    polkitqt1-gui-actionbuttons.cpp
)

add_library(${POLKITQT-1_GUI_PCNAME} SHARED ${polkit_qt_gui_SRCS})

add_library(${POLKITQT-1_CAMEL_NAME}::Gui ALIAS ${POLKITQT-1_GUI_PCNAME})

target_link_libraries(${POLKITQT-1_GUI_PCNAME}
    LINK_PUBLIC
    ${POLKITQT-1_CORE_PCNAME}
    ${QT_QTGUI_LIBRARY}
    LINK_PRIVATE
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${POLKIT_LIBRARIES}
)

set_target_properties(${POLKITQT-1_GUI_PCNAME} PROPERTIES VERSION ${POLKITQT-1_LIBRARY_VERSION}
                                SOVERSION ${POLKITQT-1_ABI_VERSION}
                                DEFINE_SYMBOL MAKE_POLKITQT1_LIB
                                EXPORT_NAME Gui)

target_include_directories(${POLKITQT-1_GUI_PCNAME} INTERFACE $<INSTALL_INTERFACE:${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}>)

install(TARGETS ${POLKITQT-1_GUI_PCNAME} EXPORT ${POLKITQT-1_CAMEL_NAME}Export ARCHIVE DESTINATION ${LIB_DESTINATION}
                               LIBRARY DESTINATION ${LIB_DESTINATION}
                               RUNTIME DESTINATION bin)

=== test/CMakeLists.txt ===
enable_testing()

include_directories(
    ${CMAKE_SOURCE_DIR}/agent
)

add_executable(polkit-qt-test
    test.cpp
)

target_link_libraries(polkit-qt-test
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${POLKITQT-1_CORE_PCNAME}
)

add_test(BaseTest ${CMAKE_CURRENT_BINARY_DIR}/polkit-qt-test)

=== examples/agent/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/agent
)

set(polkit_agent_example_SRCS
    main.cpp
    pkagentexample.cpp
    klistener.cpp
)

add_executable(${POLKITQT-1_AGENT_EXAMPLE}
    ${polkit_agent_example_SRCS}
)

target_link_libraries(${POLKITQT-1_AGENT_EXAMPLE}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${POLKITQT-1_AGENT_PCNAME}
    ${POLKITQT-1_CORE_PCNAME}
    ${GOBJECT_LIBRARIES}
)

=== debian/changelog ===
polkit-qt-1 (0.112.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Alf Gaida <agaida@siduction.org>  Wed, 24 Jun 2015 00:02:01 +0200

polkit-qt-1 (0.112.0-2) experimental; urgency=medium

  * Add systemd as an alternative to the deprecated consolekit.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Jan 2015 20:46:28 +0100

polkit-qt-1 (0.112.0-1) experimental; urgency=low

  [ Iain Lane ]
  * Add Depends on consolekit, since we're using its D-Bus API.

  [ Felix Geyer ]
  * Convert package to multiarch, based on a patch from Daniel Schaal.
    (Closes: #636067)
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Add watch file, thanks to Bart Martens.

  [ Pino Toscano ]
  * Simplify watch file.
  * Bump priority from extra to optional.
  * Fix Vcs-* headers.

  [ Maximiliano Curia ]
  * New upstream release (0.112.0).
  * Bump debhelper compat and build dep to 9.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself as Uploader.
  * Add Homepage field.
  * Add qt5 packages.
  * Update install files.
  * Update watch file.
  * Set rules to build the source twice.
  * Update copyright information.
  * Add basic autopkgtests support.
  * Update symbols files.
  * Update build dependencies to follow cmake.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Jan 2015 18:52:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: polkit-qt-1
-Priority: extra
+Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: automoc,
-               cmake,
-               debhelper (>= 8.0.0),
+               cmake (>= 2.8.11),
+               debhelper (>= 9),
                libpolkit-agent-1-dev (>= 0.98),
                libpolkit-gobject-1-dev (>= 0.98),
-               libqt4-dev,
+               libqt4-dev (>= 4:4.4.0),
+               qtbase5-dev (>= 5.1.0),
                pkg-kde-tools (>= 0.11)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Section: libs
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-qt-1.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/polkit-qt-1.git
+XS-Testsuite: autopkgtest
+Homepage: https://projects.kde.org/projects/kdesupport/polkit-qt-1
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/polkit-qt-1.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/polkit-qt-1.git
 
 Package: libpolkit-qt-1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
 Description: PolicyKit-qt-1 development files
  PolicyKit is an application-level toolkit for defining and handling the policy
@@ -33,7 +37,9 @@
 
 Package: libpolkit-qt-1-1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit | systemd
 Description: PolicyKit-qt-1 library
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
@@ -47,3 +53,37 @@
  .
  This package contains the files necessary for running applications that use
  the libpolkit-qt-1 library.
+
+Package: libpolkit-qt5-1-dev
+Section: libdevel
+Architecture: any
+Depends: libpolkit-qt5-1-1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Description: PolicyKit-qt5-1 development files
+ PolicyKit is an application-level toolkit for defining and handling the policy
+ that allows unprivileged processes to speak to privileged processes.
+ .
+ It is a framework for centralizing the decision making process with respect to
+ granting access to privileged operations (like calling the HAL Mount() method)
+ for unprivileged (desktop) applications.
+ .
+ libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
+ applications that want to use PolicyKit-1.
+ .
+ This package contains the development libraries and headers.
+
+Package: libpolkit-qt5-1-1
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit | systemd
+Description: PolicyKit-qt5-1 library
+ PolicyKit is an application-level toolkit for defining and handling the policy
+ that allows unprivileged processes to speak to privileged processes.
+ .
+ It is a framework for centralizing the decision making process with respect to
+ granting access to privileged operations (like calling the HAL Mount() method)
+ for unprivileged (desktop) applications.
+ .
+ libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
+ applications that want to use PolicyKit.
+ .
+ This package contains the files necessary for running applications that use
+ the libpolkit-qt5-1 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

dh = --list-missing

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

override_dh_auto_clean:
	$(overridden_command)
	rm -rf build-qt5

override_dh_auto_configure:
	$(overridden_command) -- -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DUSE_QT4=True
	$(overridden_command) --builddirectory=build-qt5 -- -DUSE_QT5=True

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) --builddirectory=build-qt5

override_dh_auto_test:
	# Skip dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) --builddirectory=build-qt5

=== debian/watch ===
version=3
ftp://download.kde.org//stable/apps/KDE4.x/admin/ polkit-qt-1-([\d.]+)\.tar.(?:bz2|xz)

## polkit-qt-1 0.113.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

## Polkit Qt Library
project("PolkitQt-1")

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

# Used to create CMake config files
include(CMakePackageConfigHelpers)

# Used to set installation paths
include(GNUInstallDirs)

# Set the different paths
set(LIB_DESTINATION         "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE PATH "Library directory name")
set(INCLUDE_DESTINATION     "${CMAKE_INSTALL_FULL_INCLUDEDIR}" CACHE PATH "The subdirectory to the header prefix")


set(REQUIRED_QT_VERSION 5.1.0)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus Widgets)

set(POLKITQT-1_PCNAME "polkit-qt5-1")
set(POLKITQT-1_CORE_PCNAME "polkit-qt5-core-1")
set(POLKITQT-1_GUI_PCNAME "polkit-qt5-gui-1")
set(POLKITQT-1_AGENT_PCNAME "polkit-qt5-agent-1")
set(POLKITQT-1_CAMEL_NAME "PolkitQt5-1")
set(POLKITQT-1_EXAMPLE "polkit-example-qt5")
set(POLKITQT-1_EXAMPLE_HELPER "polkit-example-helper-qt5")
set(POLKITQT-1_AGENT_EXAMPLE "polkit-agent-example-qt5")
set(POLKITQT-1_INCLUDE_PATH "polkit-qt5-1")

find_package(Polkit REQUIRED)
find_package(GObject REQUIRED)
find_package(GIO REQUIRED)

add_definitions(-DQT_NO_KEYWORDS)

include (CheckFunctionExists)

include_directories(
    ${POLKIT_INCLUDE_DIR}
    ${POLKIT_AGENT_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    ${GOBJECT_INCLUDE_DIR}
    ${GIO_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core
    ${CMAKE_CURRENT_SOURCE_DIR}/includes
    ${CMAKE_CURRENT_BINARY_DIR}
)

# Check for older polkit
set(CMAKE_REQUIRED_INCLUDES ${POLKIT_INCLUDE_DIR} ${POLKIT_AGENT_INCLUDE_DIR})
set(CMAKE_REQUIRED_LIBRARIES ${POLKIT_LIBRARIES} ${POLKIT_AGENT_LIBRARY})
check_function_exists(polkit_agent_listener_register HAVE_POLKIT_AGENT_LISTENER_REGISTER)
check_function_exists(polkit_authority_get_sync HAVE_POLKIT_AUTHORITY_GET_SYNC)
check_function_exists(polkit_system_bus_name_get_user_sync HAVE_POLKIT_SYSTEM_BUS_NAME_GET_USER_SYNC)

if (NOT HAVE_POLKIT_AGENT_LISTENER_REGISTER OR NOT HAVE_POLKIT_AUTHORITY_GET_SYNC)
    message(STATUS "You have an older polkit-1 version: Polkit-Qt-1 will be built in compatibility mode")
    add_definitions(-DPOLKIT_QT_1_COMPATIBILITY_MODE)
endif (NOT HAVE_POLKIT_AGENT_LISTENER_REGISTER OR NOT HAVE_POLKIT_AUTHORITY_GET_SYNC)

option(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR "Prefer to install the <package>Config.cmake files to lib/cmake/<package> instead of lib/<package>/cmake" TRUE)

set(POLKITQT-1_VERSION_MAJOR "0")
set(POLKITQT-1_VERSION_MINOR "113")
set(POLKITQT-1_VERSION_PATCH "0")
set(POLKITQT-1_VERSION_STRING
    "${POLKITQT-1_VERSION_MAJOR}.${POLKITQT-1_VERSION_MINOR}.${POLKITQT-1_VERSION_PATCH}")

# The SONUMBER of the polkit-qt-1 libraries
set(POLKITQT-1_ABI_VERSION 1)
# The version number of the polkit-qt-1 libraries
set(POLKITQT-1_LIBRARY_VERSION "${POLKITQT-1_ABI_VERSION}.${POLKITQT-1_VERSION_MINOR}.${POLKITQT-1_VERSION_PATCH}")
set(POLKITQT-1_LIB_NAMESPACE ${POLKITQT-1_CAMEL_NAME})

configure_file(polkitqt1-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/polkitqt1-version.h)
configure_file(polkitqt1-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/polkitqt1-config.h)

install(FILES
    gui/polkitqt1-gui-action.h
    gui/polkitqt1-gui-actionbutton.h
    gui/polkitqt1-gui-actionbuttons.h

    core/polkitqt1-authority.h
    core/polkitqt1-details.h
    core/polkitqt1-identity.h
    core/polkitqt1-subject.h
    core/polkitqt1-temporaryauthorization.h
    core/polkitqt1-actiondescription.h

    agent/polkitqt1-agent-listener.h
    agent/polkitqt1-agent-session.h

    ${CMAKE_CURRENT_BINARY_DIR}/polkitqt1-version.h
    polkitqt1-export.h

    DESTINATION
    ${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH} COMPONENT Devel)

install(FILES
    includes/PolkitQt1/Authority
    includes/PolkitQt1/Details
    includes/PolkitQt1/Identity
    includes/PolkitQt1/Subject
    includes/PolkitQt1/TemporaryAuthorization
    includes/PolkitQt1/ActionDescription
    DESTINATION
    ${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}/PolkitQt1 COMPONENT Devel)

install(FILES
    includes/PolkitQt1/Gui/Action
    includes/PolkitQt1/Gui/ActionButton
    includes/PolkitQt1/Gui/ActionButtons
    DESTINATION
    ${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}/PolkitQt1/Gui COMPONENT Devel)

install(FILES
    includes/PolkitQt1/Agent/Listener
    includes/PolkitQt1/Agent/Session
    DESTINATION
    ${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}/PolkitQt1/Agent COMPONENT Devel)

if(NOT WIN32)
    # Pkgconfig
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${POLKITQT-1_PCNAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_PCNAME}.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_PCNAME}.pc DESTINATION ${LIB_DESTINATION}/pkgconfig )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${POLKITQT-1_CORE_PCNAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_CORE_PCNAME}.pc
                   @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_CORE_PCNAME}.pc DESTINATION ${LIB_DESTINATION}/pkgconfig )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${POLKITQT-1_GUI_PCNAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_GUI_PCNAME}.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_GUI_PCNAME}.pc DESTINATION ${LIB_DESTINATION}/pkgconfig )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${POLKITQT-1_AGENT_PCNAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_AGENT_PCNAME}.pc
                   @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${POLKITQT-1_AGENT_PCNAME}.pc DESTINATION ${LIB_DESTINATION}/pkgconfig )
endif(NOT WIN32)


if(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_PolkitQt-1Config_INSTALL_DIR ${LIB_DESTINATION}/cmake/${POLKITQT-1_CAMEL_NAME})
else(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_PolkitQt-1Config_INSTALL_DIR ${LIB_DESTINATION}/${POLKITQT-1_CAMEL_NAME}/cmake)
endif(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)


# Create the CMake Config files
configure_package_config_file(PolkitQt-1Config.cmake.in
                              ${CMAKE_BINARY_DIR}/${POLKITQT-1_CAMEL_NAME}Config.cmake
                              INSTALL_DESTINATION ${_PolkitQt-1Config_INSTALL_DIR}
                              PATH_VARS LIB_DESTINATION INCLUDE_DESTINATION
)

write_basic_package_version_file(${CMAKE_BINARY_DIR}/${POLKITQT-1_CAMEL_NAME}ConfigVersion.cmake
                                 VERSION ${POLKITQT-1_VERSION_STRING}
                                 COMPATIBILITY SameMajorVersion
                                )

install(FILES ${CMAKE_BINARY_DIR}/${POLKITQT-1_CAMEL_NAME}Config.cmake
              ${CMAKE_BINARY_DIR}/${POLKITQT-1_CAMEL_NAME}ConfigVersion.cmake
        DESTINATION ${_PolkitQt-1Config_INSTALL_DIR}
       )

install(EXPORT ${POLKITQT-1_CAMEL_NAME}Export FILE ${POLKITQT-1_CAMEL_NAME}Targets.cmake
        DESTINATION ${_PolkitQt-1Config_INSTALL_DIR}
        NAMESPACE ${POLKITQT-1_LIB_NAMESPACE}::)

option(BUILD_EXAMPLES "Builds a set of examples for polkit-qt-1" OFF)
if (BUILD_EXAMPLES)
    find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
    add_subdirectory(examples)
endif (BUILD_EXAMPLES)

add_subdirectory(cmake)

option(BUILD_TEST "Builds unit tests for polkit-qt-1" OFF)
if (BUILD_TEST)
    find_package(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED)
    add_subdirectory(test)
endif (BUILD_TEST)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(agent)

# Always last!
include (PolkitQt-1Dist)

=== agent/CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 target_link_libraries(${POLKITQT-1_AGENT_PCNAME}
     LINK_PUBLIC
-    ${QT_QTCORE_LIBRARY}
+    Qt5::Core
     ${POLKITQT-1_CORE_PCNAME}
     LINK_PRIVATE
     ${POLKIT_LIBRARIES}
-    ${QT_QTCORE_LIBRARY}
+    Qt5::Core
     ${POLKIT_AGENT_LIBRARY}
     ${GOBJECT_LIBRARIES}
     ${GIO_LIBRARIES}

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 
 target_link_libraries(${POLKITQT-1_CORE_PCNAME}
     LINK_PUBLIC
-    ${QT_QTCORE_LIBRARY}
+    Qt5::Core
     LINK_PRIVATE
-    ${QT_QTDBUS_LIBRARY}
+    Qt5::DBus
     ${POLKIT_LIBRARIES}
     ${GLIB2_LIBRARIES}
     ${GOBJECT_LIBRARIES}

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -14,11 +14,11 @@
     icons/icons.qrc
 )
 
-QT4_WRAP_UI(polkit_example_UI_SRCS
+qt5_wrap_ui(polkit_example_UI_SRCS
     PkExample.ui
 )
 
-QT4_ADD_RESOURCES (qtsourceview_RC_SRCS  ${polkit_example_RESOUCES})
+qt5_add_resources (qtsourceview_RC_SRCS  ${polkit_example_RESOUCES})
 
 add_executable(${POLKITQT-1_EXAMPLE}
     ${polkit_example_SRCS}
@@ -27,9 +27,9 @@
 )
 
 target_link_libraries(${POLKITQT-1_EXAMPLE}
-    ${QT_QTCORE_LIBRARY}
-    ${QT_QTDBUS_LIBRARY}
-    ${QT_QTGUI_LIBRARY}
+    Qt5::Core
+    Qt5::DBus
+    Qt5::Widgets
     ${POLKITQT-1_GUI_PCNAME}
     ${POLKITQT-1_CORE_PCNAME}
     ${GOBJECT_LIBRARIES}
@@ -54,7 +54,7 @@
     mainHelper.cpp
 )
 
-qt4_add_dbus_adaptor(polkit_example_helper_SRCS
+qt5_add_dbus_adaptor(polkit_example_helper_SRCS
     org.qt.policykit.examples.xml
     PkExampleHelper.h
     PkExampleHelper
@@ -66,9 +66,9 @@
 
 # see our helper is pretty small :D
 target_link_libraries(${POLKITQT-1_EXAMPLE_HELPER}
-    ${QT_QTCORE_LIBRARY}
-    ${QT_QTXML_LIBRARY}
-    ${QT_QTDBUS_LIBRARY}
+    Qt5::Core
+    Qt5::Xml
+    Qt5::DBus
     ${POLKITQT-1_GUI_PCNAME}
 )

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 target_link_libraries(${POLKITQT-1_GUI_PCNAME}
     LINK_PUBLIC
     ${POLKITQT-1_CORE_PCNAME}
-    ${QT_QTGUI_LIBRARY}
+    Qt5::Widgets
     LINK_PRIVATE
-    ${QT_QTCORE_LIBRARY}
-    ${QT_QTDBUS_LIBRARY}
+    Qt5::Core
+    Qt5::DBus
     ${POLKIT_LIBRARIES}
 )

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,10 @@
 )
 
 target_link_libraries(polkit-qt-test
-    ${QT_QTCORE_LIBRARY}
-    ${QT_QTDBUS_LIBRARY}
-    ${QT_QTTEST_LIBRARY}
-    ${QT_QTGUI_LIBRARY}
+    Qt5::Core
+    Qt5::DBus
+    Qt5::Test
+    Qt5::Widgets
     ${POLKITQT-1_CORE_PCNAME}
 )

=== examples/agent/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 )
 
 target_link_libraries(${POLKITQT-1_AGENT_EXAMPLE}
-    ${QT_QTCORE_LIBRARY}
-    ${QT_QTGUI_LIBRARY}
+    Qt5::Core
+    Qt5::Widgets
     ${POLKITQT-1_AGENT_PCNAME}
     ${POLKITQT-1_CORE_PCNAME}
     ${GOBJECT_LIBRARIES}

=== debian/changelog ===
polkit-qt-1 (0.113.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:58:31 +0100

polkit-qt-1 (0.113.0-0ubuntu1) focal; urgency=medium

  * New upstream release (0.113.0)
  * Drop all patches, as included in this new release.
  * Update symbols from build logs.
  * Update watch file.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Dec 2019 15:56:05 +0000

polkit-qt-1 (0.112.0-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch from Mark Hindley to Use new logind virtual packages
    instead of libpam-systemd (Closes: #925344)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 09 Oct 2019 19:22:38 +0200

polkit-qt-1 (0.112.0-7) unstable; urgency=medium

  * Teamp upload.
  * Drop Qt 4 support (Closes: #875092). Work heavily based in Moritz
    Mühlenhoff's patch.
  * Bump debhelper compatibility to 12.
    - Pass --list-missing to dh_missing.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 31 Aug 2019 16:24:32 -0300

polkit-qt-1 (0.112.0-6) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop automoc build dependency.
    Thanks to Александр Волков for reporting (Closes: 824125)
  * Bump Standards-Version to 3.9.8
  * Add symbolshelper header
  * Update symbols files with the buildds logs.
  * Update uploaders list as requested by MIA team (Closes: #879422)
  * Update vcs fields

  [ Pino Toscano ]
  * Remove the consolekit alternative dependency: while it was already
    available only on non-Linux architectures for a while, somebody
    unilaterally decided to remove it altogether from the archive (#911416).
  * Do not install README, README.porting, and TODO anymore as documentation
    of libpolkit-qt-1-dev, since they have little to no value for users.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Add Build-Depends-Package in the symbols file of libpolkit-qt5-1-1.
  * Use https for Format in copyright.
  * Remove extra XS-Testsuite header in control, now added automatically.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Nov 2018 07:34:04 +0100

polkit-qt-1 (0.112.0-5) unstable; urgency=medium

  * Apply the same Depends used in libpolkit-qt-1-1. (Closes: #800666)
    Thanks to Michael Biebl

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Mar 2016 09:52:15 +0100

polkit-qt-1 (0.112.0-4) unstable; urgency=medium

  * Update symbols files for gcc5 compatibility. (Closes: #791734)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Aug 2015 11:59:55 +0200

polkit-qt-1 (0.112.0-3) unstable; urgency=medium

  * Fix my previous systemd dependency. Thanks to Ansgar Burchardt.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Jun 2015 12:01:52 +0200

=== debian/control ===
Source: polkit-qt-1
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 12~),
               libpolkit-agent-1-dev (>= 0.98),
               libpolkit-gobject-1-dev (>= 0.98),
               pkg-kde-tools (>= 0.11),
               qtbase5-dev (>= 5.1.0)
Standards-Version: 4.4.0
Homepage: https://projects.kde.org/projects/kdesupport/polkit-qt-1
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/polkit-qt-1
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/polkit-qt-1.git

Package: libpolkit-qt5-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpolkit-qt5-1-1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: PolicyKit-qt5-1 development files
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit-1.
 .
 This package contains the development libraries and headers.

Package: libpolkit-qt5-1-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 default-logind [linux-any] | logind [linux-any]
Description: PolicyKit-qt5-1 library
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit.
 .
 This package contains the files necessary for running applications that use
 the libpolkit-qt5-1 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

override_dh_auto_configure:
	$(overridden_command) -- -DUSE_QT5=True

override_dh_missing:
	$(overridden_command) --list-missing

override_dh_auto_test:
	# Skip dh_auto_test

=== debian/watch ===
version=3
https://download.kde.org/stable/polkit-qt-1/ polkit-qt-1-([\d.]+)\.tar.(?:bz2|xz)
